<template>
  <el-main>
    <el-row>
      <el-col>
        <router-link class="el-button el-button--primary" to="/calls/new">Upload call audio</router-link>
        <!-- <router-link class="el-button el-button--primary" to="/calls/upload_reports">Upload report sheet</router-link> -->
        <el-dropdown split-button type="primary">
          Overall
           <el-dropdown-menu slot="dropdown">
            <el-dropdown-item>Last 30 days</el-dropdown-item>
            <el-dropdown-item>Last 7 days</el-dropdown-item>
            <el-dropdown-item>Last 24 hours</el-dropdown-item>
          </el-dropdown-menu>
        </el-dropdown>
      </el-col>
    </el-row>
    <el-row>
      <el-col>
        <el-table :data="calls">
          <el-table-column prop="madeAt" label="Made at"></el-table-column>
          <el-table-column prop="fileName" label="File name"></el-table-column>
          <el-table-column prop="agent.username" label="Agent"></el-table-column>
          <el-table-column prop="fileStatus" label="File status"></el-table-column>
          <el-table-column prop="onlineFlag" label="Online Flag"></el-table-column>
          <el-table-column label="...">
            <template slot-scope="scope">
              <router-link class="el-button el-button--button el-button--mini" :to="`/calls/${scope.row.id}`">Show more</router-link>
              <router-link class="el-button el-button--button el-button--mini" :to="`/calls/${scope.row.id}/edit`">Edit</router-link>
            </template>
          </el-table-column>
        </el-table>
      </el-col>
    </el-row>
    <router-view></router-view>
  </el-main>
</template>

<script>
import gql from 'graphql-tag'

export default {
  apollo: {
    calls: {
      query: gql`{ calls { id madeAt fileName fileStatus onlineFlag agent { username } } }`
    }
  },

  data() {
    return {
      calls: []
    }
  },

  mounted () {
    this.$apollo.queries.calls.refetch()
  },

  watch: {
    '$route.path'(current) {
      if(current == '/calls') this.$apollo.queries.calls.refetch()
    }
  }
}
</script>
